Enroll Guests via WiFi
Enrolls guests for eClub using WiFi as the acquisition channel. If both location_id and store_number are provided, store_number will be preferred.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
Body
application/json
- Type: stringclient
Client key of the business
- Type: integerlocation
_id ID of the location where the user enrolls via WiFi
- Type: integerstore
_number Store number of the location where the user enrolls via WiFi
- Type: objectuser
Responses
- application/json
- application/json
Request Example for post/api2/wifi/users
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/wifi/users \
--request POST \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"client": "CLIENT_GOES_HERE",
"location_id": 311031,
"store_number": 4,
"user": {
"email": "test@example.com",
"first_name": "FIRST_NAME_GOES_HERE",
"last_name": "LAST_NAME_GOES_HERE",
"phone": "1111111111",
"address_line1": "ADDRESS_GOES_HERE",
"state": "California",
"zip_code": "94040",
"birthday": "1999-01-01",
"marketing_email_subscription": "1"
}
}'
{}